Subject: Re: sending packets before completing DAD

From: "Ramakrishnan" <[email-masked]>
Date: 15 Feb 2002 04:56:32 -0000

Hi,
i am also on the learning stage of IPV6 and as per RFC 2461 & 2462 i think, to speedup the autoconfiguration, router solicitation message (with source address Unspecified)  can be sent while DAD is in progress.

Regards,
Ramakrishnan

On Fri, 15 Feb 2002 NAKAJIMA Nobuyasu wrote :
> Hello,
> 
> I am a newbie to this list. I apologize if my question 
> is frequently
> asked.
> 
> RFC2462 says that the node only accepts particular 
> Neighbor
> Solicitation and Neighbor Advertisement messages during 
> DAD process,
> and other packets should be discarded. So the node 
> behavior of the
> packet reception part in the process of DAD is clear to 
> me.
> 
> My question is whether the node in the process of DAD 
> can send the
> packets other than Neighbor Solicitations for the 
> purpose of DAD.
> 
> RFC2462 says that the tentative address cannot be 
> assigned to the
> interface. So I think the node cannot send packets 
> before completing
> DAD. Is this interpretation correct?
> 
> I would appreciate if somebody would answer to this 
> question.
> 
> Thanks
> -----
> Nobuyasu Nakajima
> Toshiba America Research, Inc.
> ---------------------------------------------------------
> ------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      
> http://playground.sun.com/ipng
> FTP archive:                      
> ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to 
> [email-masked]
> ---------------------------------------------------------
> ------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------